## Jackson Examples

These examples demonstrate how the Jackson library can be used to convert Java objects to JSON/XML data and vice versa.

- The program `JsonReadWrite` reads JSON from a file into an array of `Person` objects and writes it back as JSON to a
  new file.
- The program `XmlReadWrite` reads XML from a file into a `People` object and writes it back as XML to a new file.

### Mapper Configuration

The object and XML mapper are configured such that

- null values are not serialized
- local dates are mapped properly
- the output data is intended

### Mapping Annotations

The following annotations are used to customize the object mapping:

- `@JsonIgnore` - prevent a person's middle name from being mapped
- `@JsonProperty` - define the JSON element name of a person's birth data
- `@JacksonXmlRootElement` - define the `People` object as the XML root element
- `@JacksonXmlProperty` - define the XML element names of properties and map a person's `id` as an XML attribute
- `@JacksonXmlElementWrapper` - prevent lists and arrays from being wrapped by XML elements
