package org.example;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.example.people.Person;

import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Reader;
import java.io.Writer;
import java.util.Arrays;

public class JsonReadWrite {

	private static final String ORIG_FILE = "data/persons.json";
	private static final String NEW_FILE = "data/persons_new.json";

	public static void main(String[] args) throws IOException {
		ObjectMapper objectMapper = new ObjectMapper();
		MapperConfigurer.configure(objectMapper);
		Person[] persons;
		try (Reader reader = new FileReader(ORIG_FILE)) {
			persons = objectMapper.readValue(reader, Person[].class);
		}
		Arrays.stream(persons).forEach(System.out::println);
		try (Writer writer = new FileWriter(NEW_FILE)) {
			objectMapper.writeValue(writer, persons);
		}
	}
}
