package org.example;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.SerializationFeature;
import com.fasterxml.jackson.dataformat.xml.XmlMapper;
import com.fasterxml.jackson.datatype.jsr310.JavaTimeModule;
import org.example.people.People;

import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.io.Reader;
import java.io.Writer;

public class XmlReadWrite {

	private static final String ORIG_FILE = "data/people.xml";
	private static final String NEW_FILE = "data/people_new.xml";

	public static void main(String[] args) throws IOException {
		ObjectMapper xmlMapper = new XmlMapper();
		MapperConfigurer.configure(xmlMapper);
		People people;
		try (Reader reader = new FileReader(ORIG_FILE)) {
			people = xmlMapper.readValue(reader, People.class);
		}
		people.persons().forEach(System.out::println);
		try (Writer writer = new FileWriter(NEW_FILE)) {
			xmlMapper.writeValue(writer, people);
		}
	}
}
