package org.example.people;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;

@JsonPropertyOrder({"id", "firstName", "lastName", "born", "professions"})
public record Person(
		@JacksonXmlProperty(localName = "id", isAttribute = true)
		long id,
		String firstName,
		@JsonIgnore
		String middleName,
		String lastName,
		@JsonProperty("born")
		@JacksonXmlProperty(localName = "born")
		BirthData birthData,
		@JacksonXmlElementWrapper(useWrapping = false)
		@JacksonXmlProperty(localName = "profession")
		String[] professions) {

	@Override
	public String toString() {
		return id + ": " + firstName + (middleName != null ? " " + middleName : "") + " " + lastName +
				" - " + birthData + " - " + String.join(", ", professions);
	}
}
